/*
**	WriteTest.c
**
*/

#include <p24fj128ga010.h>

#include "../delay/delay.h"
#include "SDMMC.h"
#include "fileio.h"
#include "LCD.h"

#define B_SIZE   1024

char data[B_SIZE];

int main (void)
{
    MFILE *fs, *fd;
    unsigned r;
	char buf1[11];

	initLCD();
	putsLCD("init");
 	clrLCD();
	while( !detectSD());    // assumes SDCD pin is by default an input
    
	int i;
	for(i=0;i<=100;i++)
	{
		sprintf(buf1,"p%0.5d.txt\0",i);
    	Delayms(50);
	
		if ( mount())
	    {
	        putsLCD("mount                               "); 
	        if( (fd = fopenM( buf1, "w")))
	        {
				putsLCD("2 "); 			//destination file opened for writing");	
	 			char tem5[B_SIZE];
				r=sprintf(tem5,"Hallo Welt %i \0",i);
				fwriteM(tem5,r, fd);
				fcloseM( fd);
	            putsLCD("3 "); 			//destination file closed");				
	        }
	        else   
				putsLCD("4 "); //could not open the destination file")
	                
	        unmount();
	        putsLCD("7 ");		//unmount");		
	    }
	    else 
	        putsLCD("8 ");		//mount failed");	
	}
    
} // main
